Bug 306761 - Undefined symbol on import wx.media
Undefined symbol on import wx.media
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wxPython (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 07:39 EDT by Seby Carta
Modified: 2008-10-23 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 12:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seby Carta 2007-09-26 07:39:23 EDT
Description of problem:
importing wx.media in python , i get an "undefined symbol" error. This is the
output:
------------------------------------------------
>>> import wx.media
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/media.py",
line 8, in <module>
    import _media
ImportError:
/usr/lib64/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_media.so: undefined
symbol: wxEVT_MEDIA_FINISHED
-----------------------------------------------------------

Version-Release number of selected component (if applicable):
python 2.5-12 x86_64
wxpython 2.8.4.0-1 x86_64


How reproducible:
always

Steps to Reproduce:
1.Open python console
2.write: import wx.media
3.press return
  
Actual results:
Undefined symbol error

Expected results:
import selected library

Additional info:
Comment 1 Matthew Miller 2007-09-26 08:45:20 EDT
Thanks for the report. This is the first build where we've included wx.media at
all, and so I suppose it's not surprising to find problems. I'll investigate.
Comment 2 Seby Carta 2007-10-30 03:55:47 EDT
Please, i cannot use some development programs as boa-contructor. When you will
work on this problem?
Thank you.
Comment 3 Matthew Miller 2007-11-12 09:59:49 EST
Hmmm. It works for me.
Comment 4 Seby Carta 2007-11-12 10:34:34 EST
On x86_64 F7 ? how is possible? i have 3 installations ( all fedora 7 x86_64 )
with the same problem.. and i tried also F8, but nothing changed!
Comment 5 Seby Carta 2008-03-03 07:23:43 EST
How about this bug???? it's stopped???? The same problem is also on F8 x86_64 !!
Comment 6 Bug Zapper 2008-05-14 10:31:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:29:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Matthew Miller 2008-07-31 10:21:40 EDT
This isn't fixed, and should be.
Comment 9 Dan Horák 2008-09-30 06:25:14 EDT
still present in 2.8.9.0 :-(
Comment 10 Dan Horák 2008-09-30 10:51:20 EDT
Bug found and killed, now building packages for rawhide, stable releases will follow.
Comment 11 Fedora Update System 2008-09-30 12:47:35 EDT
wxPython-2.8.9.1-1.fc9,wxGTK-2.8.9-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wxPython-2.8.9.1-1.fc9,wxGTK-2.8.9-1.fc9
Comment 12 Fedora Update System 2008-09-30 12:51:16 EDT
wxPython-2.8.9.1-1.fc8,wxGTK-2.8.9-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/wxPython-2.8.9.1-1.fc8,wxGTK-2.8.9-1.fc8
Comment 13 Fedora Update System 2008-10-01 02:33:36 EDT
wxPython-2.8.9.1-1.fc8, wxGTK-2.8.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8455
Comment 14 Fedora Update System 2008-10-01 02:39:08 EDT
wxPython-2.8.9.1-1.fc9, wxGTK-2.8.9-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8480
Comment 15 Fedora Update System 2008-10-23 12:36:26 EDT
wxPython-2.8.9.1-1.fc8, wxGTK-2.8.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-10-23 12:37:09 EDT
wxPython-2.8.9.1-1.fc9, wxGTK-2.8.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.